summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilson E. Alvarez2020-04-13 12:31:08 -0400
committerWilson E. Alvarez2020-04-13 12:31:08 -0400
commit4f21a4647a9dab871016bfa6dfebd39e3c17e3a6 (patch)
treec9465f37c313351be2aacd0dab5415e660184b5f
downloadaur-4f21a4647a9dab871016bfa6dfebd39e3c17e3a6.tar.gz
Initial Commit
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD38
2 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4dd953b78c4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = vim-asyncomplete-git
+ pkgdesc = Async autocompletion for Vim 8 and Neovim with timers
+ pkgver = r170.5713fa6
+ pkgrel = 1
+ url = https://github.com/prabirshrestha/asyncomplete.vim.git
+ arch = any
+ groups = vim-plugins
+ license = MIT
+ depends = vim
+ source = asyncomplete.vim::git+https://github.com/prabirshrestha/asyncomplete.vim.git
+ sha512sums = SKIP
+
+pkgname = vim-asyncomplete-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6cfbd01cb25
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Wilson E. Alvarez <wilson.e.alvarez1@gmail.com>
+# Contributor: Rodrigo Gryzinski <rogryza@gmail.com>
+
+_pkgname=asyncomplete.vim
+pkgname=vim-asyncomplete-git
+pkgver=r170.5713fa6
+pkgrel=1
+pkgdesc="Async autocompletion for Vim 8 and Neovim with timers"
+arch=('any')
+url="https://github.com/prabirshrestha/${_pkgname}.git"
+license=('MIT')
+depends=('vim')
+groups=('vim-plugins')
+source=("${_pkgname}::git+$url")
+sha512sums=('SKIP')
+
+pkgver()
+{
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+
+ # Install license when available
+ install -Dm 644 "LICENSE" "$pkgdir/usr/share/licenses/${_pkgname}/LICENSE"
+
+ # Install vimfiles
+ local vimfiles="$pkgdir/usr/share/vim/vimfiles"
+ mkdir -p "$vimfiles"
+ cp -dr --no-preserve=ownership autoload "$vimfiles"
+ cp -dr --no-preserve=ownership doc "$vimfiles"
+ cp -dr --no-preserve=ownership plugin "$vimfiles"
+}